//-- About Form ----------------------------------------------------------------
//
//  APixel Color
//
//  Copyright  2003-2007 Alexander Kamburov
//  wise_guybg@yahoo.com
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//------------------------------------------------------------------------------
unit AboutForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmAbout = class(TForm)
    btnOK: TButton;
    bvlBottom: TBevel;
    imgIcon: TImage;
    lblAppName: TLabel;
    lblLicence: TLabel;
    lblWebpage: TLabel;
    lblWeb: TLabel;
    lblMail: TLabel;
    lblEmail: TLabel;
    lblCopyright: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure lblEmailClick(Sender: TObject);
    procedure lblWebpageClick(Sender: TObject);
    procedure lblWebpageMouseEnter(Sender: TObject);
    procedure lblWebpageMouseLeave(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.dfm}

uses
  ShellAPI, ConstUnit;

procedure TfrmAbout.FormCreate(Sender: TObject);
begin
  imgIcon.Picture.Icon.Handle := LoadIcon(HInstance, STR_APPICON);
  lblAppName.Caption := Format('%s %s', [STR_APPNAME, STR_APPVER]);
end;//FormCreate

procedure TfrmAbout.lblWebpageMouseEnter(Sender: TObject);
begin
  (Sender as TLabel).Font.Style := [fsUnderline];
end;//lblWebpageMouseEnter

procedure TfrmAbout.lblWebpageMouseLeave(Sender: TObject);
begin
  (Sender as TLabel).Font.Style := [];
end;//lblWebpageMouseLeave

procedure TfrmAbout.lblWebpageClick(Sender: TObject);
begin
  Application.ProcessMessages;
  ShellExecute(0, nil, PChar((Sender as TLabel).Caption), nil, nil, 1);
end;//lblWebpageClick

procedure TfrmAbout.lblEmailClick(Sender: TObject);
begin
  Application.ProcessMessages;
  ShellExecute(0, nil, PChar('mailto:' + (Sender as TLabel).Caption), nil, nil, 1);
end;//lblEmailClick

procedure TfrmAbout.FormActivate(Sender: TObject);
var
  Screen: TRect;
begin //keep form on screen
  SystemParametersInfo(SPI_GETWORKAREA, 0, @Screen, 0);

  if BoundsRect.Right > Screen.Right then
    Left := Screen.Right - Width;

  if BoundsRect.Bottom > Screen.Bottom then
    Top := Screen.Bottom - Height;

  if Left < Screen.Left then
    Left := Screen.Left;

  if Top < Screen.Top then
    Top := Screen.Top;
end;//FormActivate

end.
